Link (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class Link

- org.gradle.plugins.ide.eclipse.model.Link

- Link.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Link (String name, String type, String location, String locationUri)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getLocation()`
    `String` | `getLocationUri()`
    `String` | `getName()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setLocation(String location)`
    `void` | `setLocationUri(String locationUri)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Link(String name, String type, String location, String locationUri)

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public String getLocation()

    - #### public String getLocationUri()

    - #### public String getName()

    - #### public String getType()

    - #### @Override public int hashCode()

    - #### public void setLocation(String location)

    - #### public void setLocationUri(String locationUri)

    - #### public void setName(String name)

    - #### public void setType(String type)

    - #### @Override public String toString()